package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArUserRecord;
import com.ruoyi.biz.domain.vo.ArUserRecordVo;
import com.ruoyi.biz.domain.bo.ArUserRecordBo;
import com.ruoyi.biz.domain.vo.ArUserVo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户使用记录Service接口
 *
 * @author gwd
 * @date 2023-11-10
 */
public interface IArUserRecordService {

    /**
     * 查询用户使用记录
     */
    ArUserRecordVo queryById(Long id);

    /**
     * 查询用户使用记录列表
     */
    TableDataInfo<ArUserVo> queryPageList(Long classificationId, PageQuery pageQuery);

    /**
     * 查询用户使用记录列表
     */
    List<ArUserRecordVo> queryList(ArUserRecordBo bo);

    /**
     * 新增用户使用记录
     */
    Boolean insertByBo(ArUserRecordBo bo);

    /**
     * 修改用户使用记录
     */
    Boolean updateByBo(ArUserRecordBo bo);

    /**
     * 校验并批量删除用户使用记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
